GET
/api/admin/merchants
const url = 'https://example.com/api/admin/merchants';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/admin/merchants \ --header 'Authorization: Bearer <token>'List all merchants (paged), across every tenant.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” Search
string
Page
integer format: int32
PageSize
integer format: int32
Responses
Section titled “ Responses ”OK
Media type application/json
object
items
Array<object>
object
id
string format: uuid
name
string
description
string
contactEmail
string
contactPhone
string
country
string
timeZone
string
isActive
boolean
gatewayConfigured
boolean
createdAt
string format: date-time
updatedAt
string format: date-time
paychoiceEnvironment
string
merchantGuidConfigured
boolean
paychoiceMerchantProfileId
string
billingRetryOffsetsDays
string
billingTerminalAction
string
bankSettlementWindowDays
integer format: int32
page
integer format: int32
pageSize
integer format: int32
totalCount
integer format: int32
totalPages
integer format: int32
hasNextPage
boolean
hasPreviousPage
boolean
Example
{ "items": [ { "paychoiceEnvironment": "Staging", "billingTerminalAction": "Cancel" } ]}